GDCM: gdcm::Attribute< Group, Element, TVR, VM::VM1_n > Class Template Reference

GDCM 3.2.7

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
gdcm::Attribute< Group, Element, TVR, VM::VM1_n > Class Template Reference

`#include <gdcmAttribute.h>`

Inheritance diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1_n >:
[legend]
Collaboration diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1_n >:
[legend]

## Public Types
enum |
typedef VRToType< TVR >::Type | ArrayType

## Public Member Functions
| Attribute ()
| ~Attribute ()
| GDCM_STATIC_ASSERT (((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) TagToType< Group, Element >::VMType==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)))
| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
| GDCM_STATIC_ASSERT ((VM::VM1_n &(VM::VMType)(TagToType< Group, Element >::VMType)))
DataElement | GetAsDataElement () const
unsigned int | GetNumberOfValues () const
ArrayType & | GetValue (unsigned int idx=0)
ArrayType const & | GetValue (unsigned int idx=0) const
const ArrayType * | GetValues () const
bool | operator!= (const Attribute &att) const
bool | operator< (const Attribute &att) const
bool | operator== (const Attribute &att) const
ArrayType & | operator[] (unsigned int idx)
ArrayType const & | operator[] (unsigned int idx) const
void | Print (std::ostream &os) const
void | Set (DataSet const &ds)
void | SetFromDataElement (DataElement const &de)
void | SetFromDataSet (DataSet const &ds)
void | SetNumberOfValues (unsigned int numel)
void | SetValue (ArrayType v)
void | SetValue (unsigned int idx, ArrayType v)
void | SetValues (const ArrayType *array, unsigned int numel, bool own=false)

## Static Public Member Functions
static VM | GetDictVM ()
static VR | GetDictVR ()
static Tag | GetTag ()
static VM | GetVM ()
static VR | GetVR ()

## Protected Member Functions
void | SetByteValue (const ByteValue *bv)
void | SetByteValueNoSwap (const ByteValue *bv)

## Member Typedef Documentation

## ◆ ArrayType

template<uint16_t Group, uint16_t Element, long long TVR>

typedef VRToType<TVR>::Type gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::ArrayType

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

## Constructor & Destructor Documentation

## ◆ Attribute()

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::Attribute | ( |  | ) |
| inlineexplicit

## ◆ ~Attribute()

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::~Attribute | ( |  | ) |
| inline

## Member Function Documentation

## ◆ GDCM_STATIC_ASSERT() [1/3]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GDCM_STATIC_ASSERT | ( | ((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) TagToType< Group, Element >::VMType==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)) |  | ) |

References gdcm::VM::VM1, and gdcm::VR::VR_VM1.

## ◆ GDCM_STATIC_ASSERT() [2/3]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GDCM_STATIC_ASSERT | ( | ((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)) |  | ) |

## ◆ GDCM_STATIC_ASSERT() [3/3]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GDCM_STATIC_ASSERT | ( | (VM::VM1_n &(VM::VMType)(TagToType< Group, Element >::VMType)) |  | ) |

References gdcm::VM::VM1_n.

## ◆ GetAsDataElement()

template<uint16_t Group, uint16_t Element, long long TVR>

DataElement gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetAsDataElement | ( |  | ) | const
| inline

References gdcm_assert, GetNumberOfValues(), GetTag(), GetVR(), gdcm::DataElement::GetVR(), gdcm::DataElement::SetByteValue(), gdcm::DataElement::SetVR(), gdcm::VR::SQ, gdcm::VR::UI, and gdcm::VR::VRASCII.

## ◆ GetDictVM()

template<uint16_t Group, uint16_t Element, long long TVR>

VM gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetDictVM | ( |  | ) |
| inlinestatic

References GetVM().

## ◆ GetDictVR()

template<uint16_t Group, uint16_t Element, long long TVR>

VR gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetDictVR | ( |  | ) |
| inlinestatic

## ◆ GetNumberOfValues()

template<uint16_t Group, uint16_t Element, long long TVR>

unsigned int gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetNumberOfValues | ( |  | ) | const
| inline

Referenced by GetAsDataElement(), GetValue(), GetValue(), Print(), SetValue(), and SetValues().

## ◆ GetTag()

template<uint16_t Group, uint16_t Element, long long TVR>

Tag gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetTag | ( |  | ) |
| inlinestatic

Referenced by GetAsDataElement(), Print(), Set(), SetFromDataElement(), and SetFromDataSet().

## ◆ GetValue() [1/2]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType & gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetValue | ( | unsigned int | idx = 0 | ) |
| inline

References gdcm_assert, and GetNumberOfValues().

Referenced by operator[](), and operator[]().

## ◆ GetValue() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType const & gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetValue | ( | unsigned int | idx = 0 | ) | const
| inline

References gdcm_assert, and GetNumberOfValues().

## ◆ GetValues()

template<uint16_t Group, uint16_t Element, long long TVR>

const ArrayType * gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetValues | ( |  | ) | const
| inline

## ◆ GetVM()

template<uint16_t Group, uint16_t Element, long long TVR>

VM gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetVM | ( |  | ) |
| inlinestatic

References gdcm::VM::VM1_n.

Referenced by GetDictVM(), and Print().

## ◆ GetVR()

template<uint16_t Group, uint16_t Element, long long TVR>

VR gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::GetVR | ( |  | ) |
| inlinestatic

Referenced by GetAsDataElement(), Print(), and SetFromDataElement().

## ◆ operator!=()

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator!= | ( | const Attribute< Group, Element, TVR, VM::VM1_n > & | att | ) | const
| inline

## ◆ operator<()

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator< | ( | const Attribute< Group, Element, TVR, VM::VM1_n > & | att | ) | const
| inline

## ◆ operator==()

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator== | ( | const Attribute< Group, Element, TVR, VM::VM1_n > & | att | ) | const
| inline

## ◆ operator[]() [1/2]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType & gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::operator[] | ( | unsigned int | idx | ) |
| inline

References GetValue().

## ◆ operator[]() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType const & gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::operator[] | ( | unsigned int | idx | ) | const
| inline

References GetValue().

## ◆ Print()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::Print | ( | std::ostream & | os | ) | const
| inline

References GetNumberOfValues(), GetTag(), GetVM(), and GetVR().

## ◆ Set()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::Set | ( | DataSet const & | ds | ) |
| inline

References gdcm::DataSet::GetDataElement(), GetTag(), and SetFromDataElement().

## ◆ SetByteValue()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetByteValue | ( | const ByteValue * | bv | ) |
| inlineprotected

References gdcm_assert, gdcm::ByteValue::GetLength(), gdcm::ByteValue::GetPointer(), and SetValues().

Referenced by SetFromDataElement().

## ◆ SetByteValueNoSwap()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValueNoSwap | ( | const ByteValue * | bv | ) |
| inlineprotected

## ◆ SetFromDataElement()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetFromDataElement | ( | DataElement const & | de | ) |
| inline

References gdcm_assert, gdcm::DataElement::GetByteValue(), GetTag(), gdcm::DataElement::GetTag(), GetVR(), gdcm::DataElement::GetVR(), gdcm::DataElement::IsEmpty(), and SetByteValue().

Referenced by Set(), and SetFromDataSet().

## ◆ SetFromDataSet()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetFromDataSet | ( | DataSet const & | ds | ) |
| inline

References gdcm::DataSet::FindDataElement(), gdcm::DataSet::GetDataElement(), GetTag(), and SetFromDataElement().

## ◆ SetNumberOfValues()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetNumberOfValues | ( | unsigned int | numel | ) |
| inline

References SetValues().

## ◆ SetValue() [1/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetValue | ( | ArrayType | v | ) |
| inline

References SetValue().

Referenced by SetValue().

## ◆ SetValue() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetValue | ( | unsigned int | idx,
|  | ArrayType | v )
| inline

References gdcm_assert, and GetNumberOfValues().

## ◆ SetValues()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1_n >::SetValues | ( | const ArrayType * | array,
|  | unsigned int | numel,
|  | bool | own = false )
| inline

References gdcm_assert, and GetNumberOfValues().

Referenced by SetByteValue(), and SetNumberOfValues().

The documentation for this class was generated from the following file:

- gdcmAttribute.h